Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Interface Queue

All Superinterfaces:
  Destination

All Known Subinterfaces:
  TemporaryQueue

All Known Implementing Classes:
  BasicQueue

public interface Queue
extends Destination

A `Queue` object encapsulates a provider-specific queue name. It is the way a client specifies the identity of a queue to JMS API methods. For those methods that use a `Destination` as a parameter, a `Queue` object used as an argument. For example, a queue can be used to create a `MessageConsumer` and a `MessageProducer` by calling:

- `Session.CreateConsumer(Destination destination)`
- `Session.CreateProducer(Destination destination)`

The actual length of time messages are held by a queue and the consequences of resource overflow are not defined by the JMS API.

See Also:
  `Session.createConsumer(Destination)`, `Session.createProducer(Destination)`, `Session.createQueue(String)`, `QueueSession.createQueue(String)`

Method Summary
`String` | `getQueueName()` Gets the name of this queue.
`String` | `toString()` Returns a string representation of this object.

Method Detail

### getQueueName

    public String getQueueName()
                        throws JMSException

  Gets the name of this queue.

  Clients that depend upon the name are not portable.

  Returns:
    the queue name
  Throws:
    `JMSException` - if the JMS provider implementation of `Queue` fails to return the queue name due to some internal error.

### toString

    public String toString()

  Returns a string representation of this object.

  Returns:
    the provider-specific identity values for this queue

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.